

#import <UIKit/UIKit.h>
/**
 *  @brief 弹框
 */
@interface XPBaseActionView : UIViewController
@property (nonatomic, weak, readonly) UIViewController *rootViewController;//<! 父控制器
@property (nonatomic, strong, readonly) UIButton *shadowView;//<! 遮罩view
@property (nonatomic, strong, readonly) UIImageView *contentView;//<! 内容view
@property (nonatomic, strong, readonly) UIButton *dismissButton;//<! 退出按钮

@property (nonatomic, copy) void(^beforeHideBlock)();//<! 隐藏前的block

/**
 *  @brief 初始换
 *
 *  @param rootViewController 父控制器
 *  @param view               要添加上的view,先设定好view的大小
 *  @param beforeHideBlock
 *
 *  @return
 */
- (instancetype)initWithRootViewController:(UIViewController *) rootViewController
                                      view:(UIView *) view
                           beforeHideBlock:(void(^)()) beforeHideBlock;



/**
 *  @brief 显示
 *
 *  @param animation 动画标志
 */
- (void) showWithAnimation:(BOOL) animation;

/**
 *  @brief 显示，默认动画 = YES
 */
- (void) show;

/**
 *  @brief 隐藏
 *
 *  @param animation 动画标志
 */
- (void) hideWithAnimation:(BOOL) animation;

/**
 *  @brief 默认动画
 */
- (void) hide;



@end
